### Name: trueRandom
### Title: Function to return TRUE (not pseudo) random numbers, based on
###   system and networked entropy collection.
### Aliases: trueRandom resetSeed runifT initPool
### Keywords: misc datagen distribution

### ** Examples

# note, if you are using Windows, you must be on-line
# to get to entropy generator, will fall-back to pseudo-random
# numbers when off-line

# only needed  to pass R CMD check on online windows
w = options("warn");
options(warn=0);

# reset the seed for runif() based on a true random value

resetSeed()
y=runif(100)
ty= table(trunc(5*y))
print(ty);
chisq.test(ty)

# generate true random values directly (may block for long periods if 
# if entropy pool is empty)

y=runifT(100)
ty= table(trunc(5*y))
print(ty);
chisq.test(ty)
options(warn=as.integer(w));




